apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: k8s-dashboard
  namespace: kubernetes-dashboard
  annotations:
    nginx.ingress.kubernetes.io/secure-backends: "true"
    nginx.ingress.kubernetes.io/ssl-passthrough: "true"
    nginx.ingress.kubernetes.io/backend-protocol: "HTTPS"
spec:
  ingressClassName: nginx # new version need to define
  tls:
    - hosts:
      - k8sdash.example.com
      secretName: ingress-tls
  rules:
    - host: k8sdash.example.com
      http:
        paths:
        - path: /
          pathType: Prefix
          backend:
            service: 
              name: kubernetes-dashboard-kong-proxy
              port: 
                number: 443
